execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if entity @a[distance=..5] unless block ~ ~ ~ yellow_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:1}}]}
execute at @e[type=armor_stand,name=RoomSet,tag=White] if entity @a[distance=..5] unless block ~ ~ ~ white_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:2}}]}
execute at @e[type=armor_stand,name=RoomSet,tag=Blue] if entity @a[distance=..5] unless block ~ ~ ~ light_blue_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:3}}]}
execute at @e[type=armor_stand,name=RoomSet,tag=Red] if entity @a[distance=..5] unless block ~ ~ ~ red_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:4}}]}
execute as @a[tag=Playing] at @s unless entity @e[type=armor_stand,tag=White,distance=..4] unless entity @e[type=armor_stand,tag=Red,distance=..4] unless entity @e[type=armor_stand,tag=Blue,distance=..4] unless entity @e[type=armor_stand,tag=Yellow,distance=..4] run clear @s diamond_hoe
execute at @e[type=tnt,nbt={Fuse:2s}] run summon creeper ~ ~ ~ {Fuse:0s}
execute as @e[type=tnt,nbt={Fuse:2s}] run kill @s
execute at @e[type=snowball] run effect give @e[type=!player,distance=..3] wither 3 1
execute as @e[type=snowball] at @s if entity @e[team=Enemy,distance=..3] run kill @s
execute as @e[type=snowball] at @s if entity @e[team=Boss,distance=..3] run kill @s
execute at @e[type=egg] run effect give @e[type=!player,distance=..3,tag=!Undead] instant_damage 1 0
execute at @e[type=egg] run effect give @e[type=!player,distance=..3,tag=Undead] instant_health 1 0
execute as @e[type=egg] at @s if entity @e[team=Enemy,distance=..3] run kill @s
execute as @e[type=egg] at @s if entity @e[team=Boss,distance=..3] run kill @s
tp @e[type=minecraft:chicken] ~ -100 ~
execute at @a[tag=ClassT] as @e[tag=!TierUp,team=Enemy,distance=..10,nbt={DeathLootTable:"mctools:tier1"}] run data merge entity @s {DeathLootTable:"mctools:tier1t"}
execute at @a[tag=ClassT] as @e[tag=!TierUp,team=Enemy,distance=..10,nbt={DeathLootTable:"mctools:tier2"}] run data merge entity @s {DeathLootTable:"mctools:tier2t"}
execute at @a[tag=ClassT] as @e[tag=!TierUp,team=Enemy,distance=..10,nbt={DeathLootTable:"mctools:tier3"}] run data merge entity @s {DeathLootTable:"mctools:tier3t"}
execute at @a[tag=ClassT] as @e[tag=!TierUp,team=Enemy,distance=..10,nbt={DeathLootTable:"mctools:tier4"}] run data merge entity @s {DeathLootTable:"mctools:tier4t"}
execute at @a[tag=ClassT] as @e[tag=!TierUp,team=Enemy,distance=..10] run tag @s add TierUp
execute as @e[team=Enemy] run data merge entity @s {ArmorDropChances:[0f,0f,0f,0f],HandDropChances:[0f,0f]}
execute at @a[tag=ClassM,tag=Playing] run fill ~ ~-1 ~ ~ ~-1 ~ pink_terracotta replace magma_block

scoreboard players remove @a[tag=!ClassW,scores={AdvSpawnbreak2=1..}] AdvSpawnbreak 1
scoreboard players set @a[tag=!ClassW,scores={AdvSpawnbreak2=1..}] AdvSpawnbreak2 0
advancement grant @a[scores={AdvSpawnbreak=100}] only classes:adv1
advancement grant @a[scores={Power=12..}] only fails:adv1
advancement grant @a[scores={AdvCraft=1..}] only fails:adv2
advancement grant @a[scores={Heat=1400}] only fails:adv3
tag @a[tag=ClassW,tag=Playing,nbt={Inventory:[{Slot:102b,id:"minecraft:golden_chestplate",Count:1b}]}] add AdvPlate

execute if entity @a[tag=Playing] run fill 8 2 31 8 2 31 air replace heavy_weighted_pressure_plate
execute if entity @a[tag=Playing] run fill 14 2 25 14 2 25 air replace heavy_weighted_pressure_plate
execute if entity @a[tag=Playing] run fill 20 2 31 20 2 31 air replace heavy_weighted_pressure_plate
execute unless entity @a[tag=Playing] run fill 8 2 31 8 2 31 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] run fill 14 2 25 14 2 25 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] run fill 20 2 31 20 2 31 heavy_weighted_pressure_plate replace air
execute if entity @a[tag=Playing] run tag @a[tag=!Playing] remove ClassMain
execute if entity @a[tag=Playing] run tag @a[tag=!Playing] remove ClassW
execute if entity @a[tag=Playing] run tag @a[tag=!Playing] remove ClassM
execute if entity @a[tag=Playing] run tag @a[tag=!Playing] remove ClassT
execute if entity @a[tag=Playing] run tag @a[tag=!Playing] remove ClassSide1
execute if entity @a[tag=Playing] run tag @a[tag=!Playing] remove ClassSide2
execute if entity @a[tag=Playing] run tag @a[tag=!Playing] remove ClassE

execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 4 as @e[team=Enemy,tag=!RangeUp] unless entity @s[nbt={Invulnerable:1b}] run data merge entity @s {Attributes:[{Name:"generic.followRange",Base:25}]}
execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 4 run tag @e[team=Enemy,tag=!RangeUp] add RangeUp

execute as @a[tag=Light,nbt={SelectedItem:{id:"minecraft:paper"}}] run function system:recipes
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:dandelion_yellow"}]}] run tag @a add Boss1Skip
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:orange_dye"}]}] run tag @a add Boss2Skip
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:nether_wart"}]}] run tag @a add Boss3Skip
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:ink_sac"}]}] run tag @a add Boss4Skip

#CARRYING
execute as @a store result score @s Power run clear @s #minecraft:all 0
scoreboard players remove @a[scores={Carry=1}] Power 2
scoreboard players remove @a[scores={Carry=2}] Power 4
scoreboard players remove @a[scores={Carry=3}] Power 7
effect give @a[scores={Power=10..}] slowness 2 3 true
effect give @a[scores={Power=10..}] jump_boost 2 200 true
title @a[scores={Power=10..}] actionbar {"text":"You're carrying too many items!","color":"red"}

#FIRE/ICE ROOMS
execute at @e[type=minecraft:armor_stand,name=RoomSet] if block ~ ~-1 ~ magma_block run particle minecraft:flame ~ ~ ~ 1.5 1.5 1.5 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=minecraft:armor_stand,name=RoomSet] if block ~ ~-1 ~ packed_ice run particle minecraft:cloud ~ ~ ~ 1 1 1 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ packed_ice as @a[distance=..3,tag=!IceWand] unless entity @s[nbt={Inventory:[{id:"minecraft:prismarine_crystals"}]}] run effect give @s instant_damage 1 0
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ magma_block as @a[distance=..3,tag=!FireWand] unless entity @s[nbt={Inventory:[{id:"minecraft:fire_charge"}]}] run effect give @s instant_damage 1 0
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ magma_block run title @a[distance=..3] actionbar {"text":"WARNING! You are overheating!!!","color":"dark_red"}
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ packed_ice run title @a[distance=..3] actionbar {"text":"WARNING! You are undercooling!!!","color":"dark_blue"}
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:kelp"}]}] run effect give @s resistance 10 0 true
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:rotten_flesh"}]}] run effect give @s resistance 10 1 true
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:dried_kelp"}]}] run effect give @s resistance 10 2 true
scoreboard players add @a[tag=FireWand] FireWand 1
tag @a[scores={FireWand=200..}] remove FireWand
scoreboard players set @a[scores={FireWand=200..}] FireWand 0
scoreboard players add @a[tag=IceWand] IceWand 1
tag @a[scores={IceWand=200..}] remove IceWand
scoreboard players set @a[scores={IceWand=200..}] IceWand 0

#EFFECTS
execute as @a at @s if block ~ ~-1 ~ purple_concrete run effect give @s hunger 2 0
execute as @a at @s if block ~ ~-1 ~ gray_concrete run effect give @s blindness 2 0
execute as @a at @s if block ~ ~-1 ~ red_concrete run effect give @s weakness 2 9
execute as @a at @s if block ~ ~-1 ~ orange_concrete run effect give @s slowness 2 2
execute as @a at @s if block ~ ~-1 ~ lime_concrete run effect give @s poison 2 0
execute at @e[type=minecraft:trident,nbt={Trident:{tag:{Enchantments:[{id:"sharpness",lvl:5}]}}}] run particle minecraft:flame ~ ~ ~ 0 0 0 0.01 3 force
execute at @e[type=minecraft:stray] run particle minecraft:flame ~ ~1 ~ 0.2 0.5 0.2 0.01 8
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=2}] run effect give @a[tag=Alive] mining_fatigue 1 0 true
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=2}] run effect give @e[team=Enemy] speed 1 0 true
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=2}] run scoreboard players add @e[team=Boss] Heat 1
effect give @e[team=Boss,scores={Heat=200..},name=Gamesh] instant_damage 1 0 true
effect give @e[team=Boss,scores={Heat=200..},name=Dolu] instant_health 1 1 true
effect give @e[team=Boss,scores={Heat=200..},name=Curos] instant_damage 1 2 true
effect give @e[team=Boss,scores={Heat=200..},name=Raimor] regeneration 10 2 true
scoreboard players set @e[team=Boss,scores={Heat=200..}] Heat 0
execute at @a[tag=TRAIL] run particle dragon_breath ~ ~ ~ 0 0 0 0.01 2 force
effect clear @a[nbt={ActiveEffects:[{Id:19b,Duration:801}]}] poison
effect give @e[type=minecraft:villager,name=!Marc] minecraft:invisibility 10 0 true
effect give @e[type=villager] slowness 10 100 true
effect give @e[type=wolf] fire_resistance 10 100 true
execute at @e[type=villager] as @a[distance=..4,nbt={Inventory:[{Slot:-106b,tag:{Scroll:1b}}]}] run tellraw @s {"text":"Don't use magic near NPC's!","color":"red"}
execute at @e[type=villager] as @a[distance=..4,nbt={Inventory:[{Slot:-106b,tag:{Scroll:1b}}]}] run replaceitem entity @s weapon.offhand air
execute at @e[type=villager] as @a[distance=..4,scores={Wand=1..}] run tellraw @s {"text":"Don't use magic near NPC's!","color":"red"}
execute at @e[type=villager] as @a[distance=..4,scores={Wand=1..}] run scoreboard players set @s Wand 0
execute at @e[nbt={ActiveEffects:[{Id:2b,Amplifier:6b}]}] run particle block seagrass ~ ~ ~ 0.2 0 0.2 0.1 1 force
execute at @e[tag=Blinded] run particle smoke ~ ~1.5 ~ 0.2 0.2 0.2 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=minecraft:skeleton,name=Ghoul] run particle minecraft:smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=minecraft:skeleton,name=Morro] run particle minecraft:smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.01 10 force @a[tag=PARTICLE]
effect give @a[scores={Pearl=1..}] resistance 2 5 true
scoreboard players set @a Pearl 0
execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run effect give @a[tag=Playing] strength 5 50 true
execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run effect give @e[team=Boss] weakness 999 10 true

execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 at @e[team=Enemy] run particle smoke ~ ~ ~ 0.1 0.1 0.1 0.1 100 force
execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run tp @e[team=Enemy] ~ ~-100 ~
execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run kill @e[team=Enemy]

#FUNCTIONS
execute if entity @a[tag=Alive] if entity @e[type=armor_stand,name=Options,tag=Timer] run function system:timer
execute if entity @a[x=15,y=6,z=-59,distance=..6,scores={Open=1..}] run tag @a[x=15,y=6,z=-59,distance=..6] add END
execute if entity @a[tag=END] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:end
execute if entity @a[tag=END] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:end2
execute if entity @a[tag=Boss1Skip,tag=Boss2Skip,tag=Boss3Skip,tag=Boss4Skip,tag=Playing,x=-9,y=133,z=-32,distance=..8] run function system:endwin
function system:monster
function system:item
function system:fire
function system:get/trade
function system:shulker
function system:torch
function system:rubies
execute if entity @a[tag=Tutorial1] run function system:tutorial/tutorial1n
execute if block -9 3 54 redstone_block unless entity @a[tag=Tutorial1] run data merge block -8 3 54 {Text1:"{\"text\":\"Tutorial I:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add Tutorial1\"}}",Text2:"{\"text\":\"[Basics]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"title @s title {\\\"text\\\":\\\"Welcome to Ruby Caverns!\\\"}\"},\"bold\":true}",Text3:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function system:tutorial/tutorial1r\"}}"}
execute if block -9 3 54 redstone_block unless entity @a[tag=Tutorial1] run function system:tutorial/tutorial1r
execute if block -9 3 54 redstone_block unless entity @a[tag=Tutorial1] run setblock -9 3 54 diamond_block
execute if entity @a[tag=Tutorial2] run function system:tutorial/tutorial2n
execute if block -9 3 50 redstone_block unless entity @a[tag=Tutorial2] run data merge block -8 3 50 {Text1:"{\"text\":\"Tutorial II:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add Tutorial2\"}}",Text2:"{\"text\":\"[Advanced]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"title @s title {\\\"text\\\":\\\"Advanced Ruby Caverns!\\\"}\"},\"bold\":true}",Text3:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function system:tutorial/tutorial2r\"}}"}
execute if block -9 3 50 redstone_block unless entity @a[tag=Tutorial2] run function system:tutorial/tutorial1r
execute if block -9 3 50 redstone_block unless entity @a[tag=Tutorial2] run setblock -9 3 50 diamond_block
execute if score GameTest BiteTrail matches 1 unless entity @a[tag=Alive] if entity @a[tag=Dead] run function system:deathcomplete
execute if entity @a[scores={Death=1..}] run function system:death
execute as @e[type=minecraft:armor_stand,name=RoomSet,tag=Level1] at @s if block ~ ~1 ~ minecraft:stone_button[powered=true] run tag @s add Bonus1a
execute if entity @e[type=armor_stand,tag=Bonus1a] run function system:bonus/mines
execute as @e[type=minecraft:armor_stand,name=RoomSet,tag=Level2] at @s if block ~ ~1 ~ minecraft:stone_button[powered=true] run tag @s add Bonus2a
execute if entity @e[type=armor_stand,tag=Bonus2a] run function system:bonus/prison
execute as @e[type=minecraft:armor_stand,name=RoomSet,tag=Level3] at @s if block ~ ~1 ~ minecraft:stone_button[powered=true] run tag @s add Bonus3a
execute if entity @e[type=armor_stand,tag=Bonus3a] run function system:bonus/temple
execute as @e[type=minecraft:armor_stand,name=RoomSet,tag=Level4] at @s if block ~ ~1 ~ minecraft:stone_button[powered=true] run tag @s add Bonus4a
execute if entity @e[type=armor_stand,tag=Bonus4a] run function system:bonus/hell
execute at @e[type=armor_stand,name=RoomSet,tag=Blue] if block ~ ~ ~ light_blue_shulker_box{Items:[{id:"minecraft:glass_bottle",Count:1b,Slot:13b}]} run function system:get/heal
execute at @e[type=armor_stand,name=RoomSet,tag=White] if block ~ ~ ~ white_shulker_box{Items:[{id:"minecraft:iron_pickaxe",Count:1b,Slot:13b}]} run function system:get/health
execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:5b,Slot:4b}]} run function system:treasure/treasure
execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:10b,Slot:4b}]} run function system:treasure/treasure2
execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:20b,Slot:4b}]} run function system:treasure/treasure3
execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:glowstone_dust",Count:1b,Slot:13b},{id:"minecraft:gold_ingot",Count:4b,Slot:4b}]} run function system:treasure/treasurex
execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:glowstone_dust",Count:1b,Slot:13b},{id:"minecraft:gold_ingot",Count:8b,Slot:4b}]} run function system:treasure/treasure2x
execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:glowstone_dust",Count:1b,Slot:13b},{id:"minecraft:gold_ingot",Count:16b,Slot:4b}]} run function system:treasure/treasure3x
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=101,dy=3,tag=Alive,tag=!Boss1Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/mines
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,tag=Alive,tag=!Boss2Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/prison
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=46,dy=3,tag=Alive,tag=!Boss3Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/temple
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=18,dy=3,tag=Alive,tag=!Boss4Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/hell
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=101,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/mines2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/prison2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=46,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/temple2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=18,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/hell2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=101,dy=3,tag=Alive,tag=Boss1Skip] run function system:bosses/mines3
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,tag=Alive,tag=Boss2Skip] run function system:bosses/prison3
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=46,dy=3,tag=Alive,tag=Boss3Skip] run function system:bosses/temple3
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=18,dy=3,tag=Alive,tag=Boss4Skip] run function system:bosses/hell3

execute as @a[scores={Wand=1..},level=10..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:9}}}] at @s rotated as @s anchored eyes run particle smoke ^ ^ ^4 0 0 0 0.1 100 force
execute as @a[scores={Wand=1..},level=10..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:9}}}] at @s rotated as @s anchored eyes positioned ^ ^ ^4 run effect give @e[distance=..2,tag=!Undead,type=!player] instant_damage 1 2
execute as @a[scores={Wand=1..},level=10..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:9}}}] at @s rotated as @s anchored eyes positioned ^ ^ ^4 run effect give @e[distance=..2,tag=Undead] instant_health 1 2
xp add @a[scores={Wand=1..},level=10..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:9}}}] -10 levels
scoreboard players set @a[scores={Wand=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:9}}}] Wand 0

execute as @a[scores={Wand=1..},level=30..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:20}}}] at @s run tp @a[tag=Dead,sort=random,limit=1] ~ ~ ~
execute as @a[scores={Wand=1..},level=30..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:20}}}] at @s run tag @a[distance=..3] remove Dead
execute as @a[scores={Wand=1..},level=30..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:20}}}] at @s run tag @a[distance=..3] add Alive
execute as @a[scores={Wand=1..},level=30..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:20}}}] at @s run particle minecraft:smoke ~ ~ ~ 1 1 1 0.1 1000 force
xp add @a[scores={Wand=1..},level=30..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Damage:20}}}] -30 levels
execute if entity @a[tag=!ClassM,scores={Wand=1..},level=1..] run function system:use/usewand
execute if entity @a[tag=ClassM,scores={Wand=1..},level=1..] run function system:use/usewand2
execute if entity @a[tag=!ClassM,scores={Wand=1..},level=5..] run function system:use/usespell
execute if entity @a[tag=ClassM,scores={Wand=1..},level=5..] run function system:use/usespell2
scoreboard players set @a Wand 0
execute if entity @a[scores={Open=1..}] run function system:get/weapon
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Assist] as @a[scores={Sneak=1..}] if entity @a[tag=Playing] run function system:assist
execute as @a at @s if block ~ ~-1 ~ air run tag @s remove Snuk
function system:lobby/main
execute if entity @a[scores={Talk=1..}] run function system:lobby/talk
execute if entity @e[type=armor_stand,tag=Cell1] run function system:cells/cell1
execute if entity @e[type=armor_stand,tag=Cell2] run function system:cells/cell2
execute if entity @e[type=armor_stand,tag=Cell3] run function system:cells/cell3
execute if entity @e[type=armor_stand,tag=Cell4] run function system:cells/cell4
execute if entity @e[type=armor_stand,tag=Cell5] run function system:cells/cell5
execute if entity @e[type=armor_stand,tag=Cell6] run function system:cells/cell6
execute if entity @e[type=armor_stand,tag=Cell7] run function system:cells/cell7
execute if entity @e[type=armor_stand,tag=Cell8] run function system:cells/cell8
function system:lobby/ajoin