scoreboard players set @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,scores={BossPrison=0}] BossPrison 1
execute as @a[limit=1,scores={BossPrison=1}] run scoreboard players add BossPrison Time 1
execute if score BossPrison Time matches 1 run summon minecraft:evoker 15 75 -32 {Invulnerable:1,ArmorDropChances:[0.0f,0.0f,0.0f,0.0f],HandDropChances:[0.0f,0.0f],Rotation:[0F,90F],CustomName:"\"Dolu\"",CustomNameVisible:1,PersistenceRequired:1b,Health:200,Attributes:[{Name:"generic.maxHealth",Base:200},{Name:"generic.followRange",Base:30},{Name:"generic.knockbackResistance",Base:0.5f}],HandItems:[{id:"minecraft:bone",Count:1},{id:"minecraft:stone_axe",Count:1,tag:{Enchantments:[{id:"knockback",lvl:3}],Unbreakable:1,display:{Lore:["Once held by the locked-up wizard Dolu.","Slow, but smashes enemies away."],Name:"{\"text\":\"Lost Axe\"}"}}}],ArmorItems:[{},{},{id:"minecraft:chainmail_chestplate",Count:1,tag:{Enchantments:[{id:"thorns",lvl:2}],Unbreakable:1,display:{Lore:["Once held by the locked-up wizard Dolu.","Doesn't protect much, but damages on touch."],Name:"{\"text\":\"Spiked Plate\"}"}}},{id:"minecraft:diamond_helmet",Count:1}]}
execute if score BossPrison Time matches 2 run team join Human @e[type=evoker,name=Dolu]
execute if score BossPrison Time matches 10 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"Ugh... how do I get out of here..."}]
execute if score BossPrison Time matches 80 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"Oh! It's you again. You have it too, huh?"}]
execute if score BossPrison Time matches 160 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"That weird, dark feeling... like you're all alone..."}]
execute if score BossPrison Time matches 240 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"I'm here. You're here. Normally I'd fight, but..."}]
execute if score BossPrison Time matches 320 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"I don't really want to. Something's wrong."}]
execute if score BossPrison Time matches 400 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"I'll just ignore it... that's better for both of us."}]
execute if score BossPrison Time matches 480 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"Yeah... let's fight regardless."}]
execute if score BossPrison Time matches 540 run tellraw @a[scores={BossPrison=1}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"I'm not sure either...","bold":"true"}]
execute if score BossPrison Time matches 600 run title @a[scores={BossPrison=1}] title {"text":"BOSS BATTLE","color":"red"}
execute if score BossPrison Time matches 600 run title @a[scores={BossPrison=1}] subtitle {"text":"Dolu, the Reckless Killer","color":"gray"}
execute if score BossPrison Time matches 600 run bossbar set minecraft:boss2 visible true
execute if score BossPrison Time matches 600 run team join Boss @e[type=evoker,name=Dolu]
execute if score BossPrison Time matches 600 run data merge entity @e[type=evoker,name=Dolu,limit=1] {Invulnerable:0}
execute if score BossPrison Time matches 600 run scoreboard players set @a[scores={BossTrigger2=1}] BossTrigger2 0
execute if score BossPrison Time matches 600 run scoreboard players set @a[scores={BossTrigger2=2}] BossTrigger2 3
execute if score BossPrison Time matches 601 run scoreboard players set @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,scores={BossPrison=1}] BossPrison 2

execute if entity @a[scores={BossPrison=2}] run execute store result bossbar minecraft:boss2 value run data get entity @e[type=evoker,name=Dolu,limit=1] Health
execute if entity @a[scores={BossPrison=2}] run execute store result score @e[type=evoker,name=Dolu,limit=1] Life run data get entity @e[type=evoker,name=Dolu,limit=1] Health

execute as @e[type=evoker,name=Dolu,tag=!Fase2,tag=!Fase3] if score @s Life matches ..150 run tag @s add Fase1
execute as @e[tag=Fase1,tag=!Fase2] run tellraw @a[scores={BossPrison=2},tag=!CHAT] ["",{"text":"[Dolu] ","color":"gold"},{"text":"What's happening?"}]
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] run effect give @e[type=evoker,name=Dolu] invisibility 999999 0 true
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] run effect give @e[type=evoker,name=Dolu] slowness 999999 5 true
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] run summon area_effect_cloud 15 75 -32 {CustomName:"\"Cell1\""}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] run summon area_effect_cloud 15 75 -32 {CustomName:"\"Cell2\""}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] run summon area_effect_cloud 15 75 -32 {CustomName:"\"Cell3\""}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] run summon area_effect_cloud 15 75 -32 {CustomName:"\"Cell4\""}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] run tag @e[limit=1,sort=random,type=area_effect_cloud,x=15,y=75,z=-32,distance=..2] add Cell
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell1,tag=Cell] run tp @e[type=evoker,name=Dolu] 22 76 -25
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell1,tag=Cell] run summon armor_stand 8 75 -25 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell1,tag=Cell] run summon armor_stand 8 75 -39 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell1,tag=Cell] run summon armor_stand 22 75 -39 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell2,tag=Cell] run tp @e[type=evoker,name=Dolu] 8 76 -25
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell2,tag=Cell] run summon armor_stand 22 75 -25 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell2,tag=Cell] run summon armor_stand 8 75 -39 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell2,tag=Cell] run summon armor_stand 22 75 -39 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell3,tag=Cell] run tp @e[type=evoker,name=Dolu] 8 76 -39
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell3,tag=Cell] run summon armor_stand 8 75 -25 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell3,tag=Cell] run summon armor_stand 22 75 -25 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell3,tag=Cell] run summon armor_stand 22 75 -39 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell4,tag=Cell] run tp @e[type=evoker,name=Dolu] 22 76 -39
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell4,tag=Cell] run summon armor_stand 8 75 -25 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell4,tag=Cell] run summon armor_stand 8 75 -39 {CustomName:"\"Wrong\"",Invisible:1}
execute if entity @e[type=evoker,name=Dolu,tag=!Fase2,tag=Fase1] if entity @e[type=area_effect_cloud,name=Cell4,tag=Cell] run summon armor_stand 22 75 -25 {CustomName:"\"Wrong\"",Invisible:1}
tag @e[type=evoker,tag=!Fase2,tag=Fase1] add Fase2
tag @e[type=evoker,tag=Fase1] remove Fase1
execute at @a at @e[type=armor_stand,distance=..4,name=Wrong] run summon cave_spider ~ ~ ~
execute at @a at @e[type=armor_stand,distance=..4,name=Wrong] run tellraw @a[distance=..4,tag=!CHAT] ["",{"text":"[Dolu] ","color":"gold"},{"text":"No, not there..."}]
execute at @a run kill @e[type=armor_stand,distance=..4,name=Wrong]
execute at @a if entity @e[type=evoker,distance=..4,name=Dolu,tag=Fase2,nbt={ActiveEffects:[{Id:14b}]}] at @e[type=evoker,name=Dolu] run particle minecraft:cloud ~ ~1 ~ 0 0 0 0.1 100 force
execute at @a at @e[type=evoker,distance=..4,name=Dolu,tag=Fase2,nbt={ActiveEffects:[{Id:14b}]}] run tellraw @a[distance=..4,tag=!CHAT] ["",{"text":"[Dolu] ","color":"gold"},{"text":"Hm..."}]
execute at @a if entity @e[type=evoker,distance=..4,name=Dolu,tag=Fase2,nbt={ActiveEffects:[{Id:14b}]}] at @e[type=evoker,name=Dolu] run kill @e[type=armor_stand,name=Wrong]
execute at @a if entity @e[type=evoker,distance=..4,tag=Fase2,name=Dolu] run effect clear @e[type=evoker,name=Dolu] invisibility
execute at @a if entity @e[type=evoker,distance=..4,tag=Fase2,name=Dolu] run effect clear @e[type=evoker,name=Dolu] slowness
execute at @a if entity @e[type=evoker,distance=..4,tag=Fase2,name=Dolu] run tag @e[type=evoker,name=Dolu] add Fase3
execute at @a if entity @e[type=evoker,distance=..4,tag=Fase2,name=Dolu] run tag @e[type=evoker,name=Dolu] remove Fase2

execute as @e[type=evoker,name=Dolu,tag=!Fase11] if score @s Life matches ..50 run tellraw @a[scores={BossPrison=2},tag=!CHAT] ["",{"text":"[Dolu] ","color":"gold"},{"text":"I don't understand!"}]
execute as @e[type=evoker,name=Dolu,tag=!Fase11] if score @s Life matches ..50 run tag @s add Fase11
execute if entity @e[type=evoker,name=Dolu,tag=Fase11] run scoreboard players add @a BiteTrail 1
execute at @a[scores={BiteTrail=50..}] run summon evoker_fangs ~ ~ ~
scoreboard players set @a[scores={BiteTrail=50..}] BiteTrail 0

execute as @a[scores={BossPrison=2}] unless entity @e[type=evoker,name=Dolu] run scoreboard players set @s BossPrison 3
execute as @a[limit=1,scores={BossPrison=3}] run scoreboard players add BossPrison2 Time 1
execute if score BossPrison2 Time matches 1 run bossbar set minecraft:boss2 visible false
execute if score BossPrison2 Time matches 1 if entity @a[scores={BossTrigger2=3}] run scoreboard players set BossPrison2 Time 1100
execute if score BossPrison2 Time matches 40 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"Huh!? What?!?!"}]
execute if score BossPrison2 Time matches 140 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"This is so strange on all levels..."}]
execute if score BossPrison2 Time matches 220 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"I'll come back someday. You, however..."}]
execute if score BossPrison2 Time matches 320 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"...what am I saying. Everything is unsure now."}]
execute if score BossPrison2 Time matches 420 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dolu] ","color":"gold"},{"text":"I have no clue about anything. And I doubt it'll change..."}]
execute if score BossPrison2 Time matches 540 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"Well this is certainly... strange."}]
execute if score BossPrison2 Time matches 600 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"You can easy-hit every boss and there are no enemies!"}]
execute if score BossPrison2 Time matches 700 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"What to do, what to do..."}]
execute if score BossPrison2 Time matches 760 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"Yeah I think I'm powerless here..."}]
execute if score BossPrison2 Time matches 860 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"You'll have to go on your own. Sorry."}]
execute if score BossPrison2 Time matches 960 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"On one hand, you can't die..."}]
execute if score BossPrison2 Time matches 1040 run tellraw @a[scores={BossPrison=3}] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"...on the other hand... what's behind this?"}]
execute if score BossPrison2 Time matches 1100 run title @a title {"text":"BOSS SLAIN","color":"green"}
execute if score BossPrison2 Time matches 1100 run fill 15 75 -32 15 74 -32 air 
execute if score BossPrison2 Time matches 1100 run particle minecraft:explosion 15 75 -32 2 2 2 0.1 100
execute if score BossPrison2 Time matches 1100 run playsound minecraft:entity.dragon_fireball.explode ambient @a 15 75 -32
execute if score BossPrison2 Time matches 1100 run scoreboard players set @a BossTrigger2 0
execute if score BossPrison2 Time matches 1101 unless score GameTest IceWand matches 2 run tellraw @a[tag=Alive] {"text":"Generating something. Please wait...","color":"dark_green"}
execute if score BossPrison2 Time matches 1101 unless score GameTest IceWand matches 2 run effect give @a[tag=ClassT] absorption 999999 4 true
execute if score BossPrison2 Time matches 1101 unless score GameTest IceWand matches 2 run effect give @a[tag=ClassJ] absorption 999999 4 true
execute if score BossPrison2 Time matches 1100 unless score GameTest IceWand matches 2 run setblock 15 69 -32 minecraft:light_blue_terracotta
execute if score BossPrison2 Time matches 1101 unless score GameTest IceWand matches 2 run function temple:asetup
execute if score BossPrison2 Time matches 1150 at @e[type=minecraft:armor_stand,tag=EndRoom6] if block ~-1 ~-4 ~ minecraft:stone_bricks run fill ~ ~-1 ~ ~ ~-7 ~ ladder[facing=east]
execute if score BossPrison2 Time matches 1150 at @e[type=minecraft:armor_stand,tag=EndRoom6] if block ~1 ~-4 ~ minecraft:stone_bricks run fill ~ ~-1 ~ ~ ~-7 ~ ladder[facing=west]
execute if score BossPrison2 Time matches 1150 at @e[type=minecraft:armor_stand,tag=EndRoom6] if block ~ ~-4 ~1 minecraft:stone_bricks run fill ~ ~-1 ~ ~ ~-7 ~ ladder[facing=north]
execute if score BossPrison2 Time matches 1150 at @e[type=minecraft:armor_stand,tag=EndRoom6] if block ~ ~-4 ~-1 minecraft:stone_bricks run fill ~ ~-1 ~ ~ ~-7 ~ ladder[facing=south]
execute if score BossPrison2 Time matches 1150 run tellraw @a[scores={BossPrison=3},tag=!CHAT] ["",{"text":"[Dungeon Master] ","color":"dark_green","bold":"true"},{"text":"What are you mocking around for?"}]
execute if score BossPrison2 Time matches 1151 run scoreboard players set @a BossPrison 4






